//+------------------------------------------------------------------+
//|                                                   PointPrice.mq4 |
//|                                Copyright  2007,   |
//|                                         mailto: urgunt@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007,  "
#property link      "mailto: urgunt@gmail.com"

#property indicator_chart_window

#property indicator_buffers 1
#property indicator_color1 LimeGreen
#property indicator_width1 1

extern string Hint="0-Close; 1-Open; 2-High; 3-Low; 4-Median; 5-Typical; 6-Weighted";
extern int Mode=PRICE_MEDIAN;
//---- buffers
double PP[];

int init()	
{  
//---- indicator line
	SetIndexBuffer(0,PP); SetIndexStyle(0,DRAW_ARROW); SetIndexArrow(0, 167); 
	return(0);  
}
//------------------------------------------------------------------ Right
int deinit()	{	return(0);  }
//------------------------------------------------------------------ start
int start()
{ 
	for(int i=0; i<Bars; i++) 
	switch (Mode)
	{
		case PRICE_CLOSE: PP[i]=Close[i]; break;
		case PRICE_OPEN: PP[i]=Open[i]; break;
		case PRICE_HIGH: PP[i]=High[i]; break;
		case PRICE_LOW: PP[i]=Low[i]; break;
		case PRICE_MEDIAN: PP[i]=(High[i]+Low[i])/2; break;
		case PRICE_TYPICAL: PP[i]=(High[i]+Low[i]+Close[i])/3; break;
		case PRICE_WEIGHTED: PP[i]=(High[i]+Low[i]+Close[i]+Close[i])/4; break;
		default: Mode=PRICE_CLOSE; PP[i]=Close[i]; break;
	}
	return(0);
}
//+------------------------------------------------------------------+